>> MIB - Management Information Base
>> Table: biboAdmLoginTable - (.1.3.6.1.4.1.272.254.7.1)
Description: The biboAdmLoginTable defines additional users and their passwords, and the commnd to be executed at login.
biboAdmLoginTable
OID | Name | Type | Access
.1 | User | DisplayString | RW
.2 | Password | DisplayString | RW
.3 | Command | DisplayString | RW
.4 | State | ENUM | D
.5 | SnmpShellCommand | DisplayString | RW
.6 | SNMPAccessLevel | ENUM | RW
.7 | ShellAccessLevel | INTEGER | RW
.8 | HTTPAccessRights | BITS | RW
.9 | GUIAccessLevel | INTEGER | RW
.10 | ActivityMonAccessLevel | INTEGER | RW
.11 | ApDiscAccessLevel | INTEGER | RW
.12 | HTTPAccessClass | ENUM | RW
.13 | GUIAccessMask | HexValue | RW
.14 | GUIWriteAccessMask | HexValue | RW
.15 | PasswordChangeRequired | ENUM | RW
.16 | SNMPAccessRightsDefault | ENUM | RW
.17 | SNMPAccessRuleFirst | INTEGER | RW
.18 | AccessSelector | INTEGER | RW
.19 | Usage | ENUM | RW
User
This is the login name. Length: 0 to 255
Password
This is the user password. Length: 0 to 255
Command
This is the command, which is started at login, e.g. sh, telnet. All external commands are possible. Variable got replaced by biboAdmLoginSnmpShellCommand. Length: 0 to 255
State
The variable is used to disable or discard the entry. Enumerations: valid (1) delete (2) invalid (3)
SnmpShellCommand
This is the command, which is started upon shell login; examples are 'telnet <IPaddr>', 'ifstat' or 'ps -ef'. All external commands are possible, SNMP as well as all other internal commands can be emulated via: sh -c '<cmd>[;<cmd> ... ]' Obsoletes biboAdmLoginCommand. Length: 0 to 255
SNMPAccessLevel
Define SNMP access level for account. Available access levels are: no-access(1), read(2), write(3), admin(4), rule-based(5): access level depends on the referenced rule(s) They match SNMP communities but for value no-access which disables SNMP access for that account. Default value is no-access in order to avoid unintentionally granting access rights. Enumerations: no-access (1) read (2) write (3) admin (4) rule-based (5)
ShellAccessLevel
Define Shell access level for account. Available access levels are 0 and 1, basically switching shell access off or on, respectively. Default value is 0 in order to avoid unintentionally granting access rights. Range: 0 to 1
HTTPAccessRights
Define HTTP access rights for account which are defined as bit field. Available access right bits are currently: bit 0: admin - access to any and all pages bit 1: fci - access to web configuration interface bit 2: maint - access to system maintenance pages (update of images, import and export of configurations and the like) bit 3: easp - access to pages dedicated for use by external applications (currently only Dime Manager) If bit 0 (admin) is set, all other bit values are ignored and assumed as set (i.e. access allowed). This allows for defining unrestricted access in a forward-compatible manner even when new bits should be introduced. A value of 0 turns HTTP access off completely. Other values grant HTTP access in an application dependent manner; each value may be interpreted differently on different products. Default value is 0 in order to avoid unintentionally granting access rights. Enumerations: admin (0) fci (1) maint (2) easp (3)
GUIAccessLevel
Define GUI access level for account. Available access levels reach from 0 to 255. Value 0 turns GUI access off, value 1 defines allmighty administrator role. Other values grant GUI access in an application dependend manner; each value may be interpreted differently on different products. Default value is 0 in order to avoid unintentinoally granting access rights. Range: 0 to 255
ActivityMonAccessLevel
Define activitiy monitor access level for account. Value 0 inhibits any means of influencing system by activity monitor mechanisms. Value 1 grants full access. NOTE: This variable is currently only valid for special users admin and write (SNMP communities). For all other users it is ignored. Default value is 0 in order to avoid unintentinoally granting access rights. Range: 0 to 1
ApDiscAccessLevel
Define access level for access point discovery instances. Value 0 inhibits any means of influencing system by access point discovery mechanisms. Value 1 grants full access. NOTE: This variable is currently only valid for special user admin (SNMP community). For all other users it is ignored. Default value is 0. Range: 0 to 1
HTTPAccessClass
Define SNMP access class for account. Available access levels are: user(1), admin(2), HTTP access class allows HTTP sessions to be classified and realize limitation of HTTP sessions while allowing for prioritizing sessions over user sessions. This ensures manageability of the system even if normal users flood system with their requests. Default value is user. Enumerations: user (1) admin (2)
GUIAccessMask
Define GUI access level bits for account. Available access levels bits reach from 0 to 30 Value 0 turns GUI access off, bit 0 (value 1) is reserved bit 1 (value 2) defines almighty administrator role. Other values grant GUI access depending on biboAdmGuiAccessTable entries. The default behavior (if there is no entry in biboAdmGuiAccessTable) is application dependent; each value may be interpreted differently on different products. Default value is 0 in order to avoid unintentionally granting access rights. Range: 0 to -1
GUIWriteAccessMask
Define GUI write access level bits for account. Available write access levels bits reach from 0 to 30 Value 0 turns GUI write access off, bit 0 (value 1) is reserved bit 1 (value 2) defines almighty administrator role. Other values grant GUI access depending on biboAdmGuiAccessTable entries. The default behavior (if there is no entry in biboAdmGuiAccessTable) is application dependent; each value may be interpreted differently on different products. Range: 0 to -1
PasswordChangeRequired
If biboAdmLoginPasswordChangeRequired is set to enabled the GUI demands a password change for this user at the next login. After the password change GUI sets this value to disabled. Enumerations: enabled (1) disabled (2)
SNMPAccessRightsDefault
Defines default SNMP access rule for a rule-based user. Available default rules are: no-access(1), read-only(2), read-write(3) . These access rights are used when no rule that is referred by biboAdmLoginSNMPAccessRuleFirst matches. Default value is no-access in order to avoid unintentionally granting access rights. This variable is only valid for users with biboAdmLoginSNMPAccessLevel = rule-based. Enumerations: no-access (1)
SNMPAccessRuleFirst
Refers to the index of the first rule in MIBsnmpAccessRuleTable that has to be checked for a rule-based user. A value of '0' indicates the use of the default rule configured in biboAdmLoginSNMPAccessRightsDefault. This variable is only valid for users with biboAdmLoginSNMPAccessLevel = rule-based. Range: 0 to 65535
AccessSelector
Additional selector in order to provide different access rights via different entries with equal biboAdmLoginUser. Note that this variable is considered only in case of biboAdmLoginUsage_selector (2) and for values greater than -1. Range: -1 to 15
Usage
The variable is used to disable usage for local login. Enumerations: login (1) selector (2)

MIB Reference to Software Version 10.2.12 generated on 2023/08/29. Provided by webmaster@bintec-elmeg.com Copyright ©2023 by bintec elmeg GmbH